Detalle de una inspección mía
curl --request GET \
--url https://api.ugps.io/api/me/inspections/{inspectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/me/inspections/{inspectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/me/inspections/{inspectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/me/inspections/{inspectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/me/inspections/{inspectionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ugps.io/api/me/inspections/{inspectionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/me/inspections/{inspectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"_id": "<string>",
"clientId": "<string>",
"assetId": {
"_id": "<string>",
"name": "<string>",
"plate": "<string>"
},
"submittedBy": "<string>",
"driverId": "<string>",
"clientSubmissionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folio": 2,
"result": "fit",
"dynamicFormId": "<string>",
"formSnapshot": {
"name": "<string>",
"fields": [
{
"fieldId": "<string>",
"type": "text",
"label": "Estado de frenos",
"required": true,
"helperText": "<string>",
"minLength": 123,
"maxLength": 123,
"min": 123,
"max": 123,
"options": [
{
"optionId": "3f1c2a8e-4b8d-4c1a-9a6e-7d2f0b1c9e55",
"label": "Dañado",
"critical": true
}
],
"minChecked": 123,
"maxChecked": 123,
"criticalWhen": true,
"maxStars": 123,
"disableFuture": true,
"disablePast": true,
"maxFiles": 123,
"allowedExtensions": [
"pdf"
]
}
]
},
"values": {},
"attachments": [
{
"fieldId": "<string>",
"url": "<string>",
"name": "<string>",
"mimeType": "<string>",
"size": 123
}
],
"capturedAt": "2023-11-07T05:31:56Z",
"receivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Inspecciones
Detalle de una inspección mía
Detalle de una inspección que envió la cuenta de la sesión: snapshot del formulario,
respuestas, adjuntos con URL firmada y el activo resuelto. Omite location. Una inspección de
otra cuenta responde 404 (INSPECTION_NOT_FOUND), igual que una inexistente.
Permisos requeridos: access_inspections
GET
/
api
/
me
/
inspections
/
{inspectionId}
Detalle de una inspección mía
curl --request GET \
--url https://api.ugps.io/api/me/inspections/{inspectionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/me/inspections/{inspectionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/me/inspections/{inspectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ugps.io/api/me/inspections/{inspectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ugps.io/api/me/inspections/{inspectionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ugps.io/api/me/inspections/{inspectionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ugps.io/api/me/inspections/{inspectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"_id": "<string>",
"clientId": "<string>",
"assetId": {
"_id": "<string>",
"name": "<string>",
"plate": "<string>"
},
"submittedBy": "<string>",
"driverId": "<string>",
"clientSubmissionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folio": 2,
"result": "fit",
"dynamicFormId": "<string>",
"formSnapshot": {
"name": "<string>",
"fields": [
{
"fieldId": "<string>",
"type": "text",
"label": "Estado de frenos",
"required": true,
"helperText": "<string>",
"minLength": 123,
"maxLength": 123,
"min": 123,
"max": 123,
"options": [
{
"optionId": "3f1c2a8e-4b8d-4c1a-9a6e-7d2f0b1c9e55",
"label": "Dañado",
"critical": true
}
],
"minChecked": 123,
"maxChecked": 123,
"criticalWhen": true,
"maxStars": 123,
"disableFuture": true,
"disablePast": true,
"maxFiles": 123,
"allowedExtensions": [
"pdf"
]
}
]
},
"values": {},
"attachments": [
{
"fieldId": "<string>",
"url": "<string>",
"name": "<string>",
"mimeType": "<string>",
"size": 123
}
],
"capturedAt": "2023-11-07T05:31:56Z",
"receivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.

